
package de.codedo.conflicteditor;

public class Difference extends Object
{
    public final String key;
    public final Object currentValue;
    public final Object otherValue;

    @SuppressWarnings("hiding")
    public Difference(String key, Object currentValue, Object otherValue)
    {
        super();
        this.key = key;
        this.currentValue = currentValue;
        this.otherValue = otherValue;
    }

    @Override
    public String toString()
    {
        StringBuilder buf = new StringBuilder(128);
        buf.append(key);
        buf.append(" : \"");
        buf.append(currentValue);
        buf.append("\" - \"");
        buf.append(otherValue);
        buf.append("\"");
        return buf.toString();
    }
}
