
package de.codedo.conflicteditor.gui;

import javax.swing.AbstractListModel;

import org.codehaus.jackson.JsonNode;

public class ConflictsListModel extends AbstractListModel
{
    private JsonNode _conflictsNode;

    public ConflictsListModel(JsonNode conflictsNode)
    {
        super();
        _conflictsNode = conflictsNode;
    }

    @Override
    public int getSize()
    {
        return _conflictsNode.size();
    }

    @Override
    public Object getElementAt(int index)
    {
        return _conflictsNode.get(index);
    }
}
