
package de.codedo.conflicteditor.gui;

import javax.swing.table.DefaultTableCellRenderer;

public class SpecialCharactersTableCellRenderer extends DefaultTableCellRenderer
{
    @Override
    protected void setValue(Object value)
    {
        if (value instanceof String)
        {
            value = escapeSpecialCharacters((String)value);
        }
        super.setValue(value);
    }

    private Object escapeSpecialCharacters(String value)
    {
        return value.replace("\n", "\\n");
    }
}
